package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageParam extends PageVO implements Serializable {

    private String packageId  ;//主键Id
    private String packageCode  ;//测试包指标Id
    private String packageName ; //指标名称
    private String share ; //是否分析  1为分享
    public String yearMax;//结束时间
    public String yearMin;//开始时间
    public String createUserId;//创建人Id
}