package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageVO extends PageVO implements Serializable {

    private String packageId  ;//主键Id
    private String packageName ; //指标名称
    private String packageCode  ;//测试包指标Id
    private Integer sceneNum;//场景数量
    private String share ; //是否分析  1为分享
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 修改时间
     */
    public Timestamp modifyTime;

}