package com.css.simulation.resource.scheduler.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SimulationAutomaticProjectMapper {
     @Select("select vehicle\n" +
             "from simulation_manual_project\n" +
             "where id = #{id}")
     String vehicleBySdId(String id);
     @Select("select vehicle\n" +
             "from simulation_automatic_project\n" +
             "where id = #{id}")
     String vehicleByZdId(String id);
}
