package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.ProjectTaskParam;
import api.common.pojo.param.project.SceneScoreParam;
import api.common.pojo.po.project.ManualProjectTaskPo;
import api.common.pojo.po.project.SimulationMptSceneScorePo;
import api.common.pojo.vo.project.ManualProjectTaskVo;
import api.common.pojo.vo.project.ProjectRunResultRatioNumVo;
import api.common.pojo.vo.project.ProjectRunStateNumVo;
import api.common.pojo.vo.project.SceneScoreVo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SimulationProjectTaskMapper {

    List<ManualProjectTaskPo> selectProjectTask(ProjectTaskParam vo);

    List<ManualProjectTaskVo>  selectProjectTaskByProjectId(ProjectTaskParam vo);

    Integer selectProjectTaskNumByProjectId(ProjectTaskParam vo);

    List<ProjectRunStateNumVo> selectRunStateCount(String id);

    List<ProjectRunResultRatioNumVo> selectRunResultCount(String id);

    List<ProjectRunResultRatioNumVo> selectScoreCount(String id);

    List<SceneScoreVo> selectSceneScoreByIds(SceneScoreParam param);

    SceneScoreVo selectSceneScoreNumQuery(SimulationMptSceneScorePo po);

    List<Map> selectRunTaskByState(Map map);

    //更新仿真结果到数据库
    int updateTaksResult(ManualProjectTaskPo po);

    SceneScoreVo selectRunStateByAborted(SimulationMptSceneScorePo po);


    List<ManualProjectTaskVo> selectProjectTaskById(String id);






}
