package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.ScenePackageParam;
import api.common.pojo.po.scene.ScenePackagePO;
import api.common.pojo.vo.scene.ScenePackageNewVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import java.util.List;


@Mapper
@Repository
public interface ScenePackageMapper {

    void saveScenePackage(ScenePackagePO params);

    void updateScenePackage(ScenePackagePO params);

    void deleteScenePackage(ScenePackagePO params);

    //查询详情
    ScenePackagePO queryScenePackage(ScenePackageParam params);

    List<ScenePackagePO> queryScenePackageList(ScenePackageParam params);

    //单独给查询一个测试包的列表用
    ScenePackageNewVO queryScenePackageBySublist(String packageId);

    //测试包名查唯一
    List<ScenePackageNewVO> queryByPackageName(ScenePackagePO params);
    //测试包数量
    Integer queryPackageCount(ScenePackagePO params);

}
