package api.common.pojo.constants;

public class LogConstants {

    //字典类型
    public static final String MODULE_TYPE = "moduleType";//菜单模块
    public static final String OPERATION_TYPE = "operationType";//操作类型
    public static final String SYS_LOG_TYPE = "sysLogType";//系统日志类型

    //字典项
    public static final String MODULE_VEHICLE = "01";//模块-车辆模型
    public static final String MODULE_CAMERA = "02";//模块-传感器模型-摄像头
    public static final String MODULE_OGT = "03";//模块-传感器模型-完美传感器
    public static final String MODULE_LIDAR = "04";//模块-传感器模型-激光雷达
    public static final String MODULE_GPS = "05";//模块-传感器模型-GPS
    public static final String MODULE_CONFIG = "06";//模块-车辆配置
    public static final String MODULE_ALGORITH = "07";//模块-算法库
    public static final String MODULE_SCENE_TEST_PACKAGE = "08";//模块-场景库-场景测试包
    public static final String MODULE_SCORING = "09";//模块-场景库-评分规则
    public static final String MODULE_PROJECT_MANUAL = "10";//模块-工作管理-手动运行项目
    public static final String MODULE_PROJECT_AUTO = "11";//模块-工作管理-自动运行项目


    public static final String SYS_LOG_USER = "01";//用户管理
    public static final String SYS_LOG_USER_INSERT = "0101";//用户管理-新增
    public static final String SYS_LOG_USER_UPDATE = "0102";//用户管理-修改
    public static final String SYS_LOG_USER_RESET = "0103";//用户管理-重置密码
    public static final String SYS_LOG_USER_START = "0104";//用户管理-启用
    public static final String SYS_LOG_USER_STOP = "0105";//用户管理-停用
    public static final String SYS_LOG_PARAM = "02";//参数管理
    public static final String SYS_LOG_PARAM_INSERT = "0201";//参数管理-编辑即新增
    public static final String SYS_LOG_CLUSTER = "03";//集群管理
    public static final String SYS_LOG_CLUSTER_INSERT = "0301";//集群管理-编辑即新增
    public static final String SYS_LOG_VEHICLE = "04";//车辆模板管理
    public static final String SYS_LOG_VEHICLE_INSERT = "0401";//车辆模板管理-新增
    public static final String SYS_LOG_VEHICLE_UPDATE = "0402";//车辆模板管理-修改
    public static final String SYS_LOG_VEHICLE_DEL = "0403";//车辆模板管理-删除
    public static final String SYS_LOG_SCENE_TASK = "05";//场景上传
    public static final String SYS_LOG_SCENE_TASK_INSERT = "0501";//上传场景
    public static final String SYS_LOG_SCENE = "06";//场景库管理
    public static final String SYS_LOG_SCENE_DELETE = "0601";//场景库管理-删除
    public static final String SYS_LOG_PACKAGE = "07";//场景包管理
    public static final String SYS_LOG_PACKAGE_INSERT = "0701";//场景包管理-新增
    public static final String SYS_LOG_PACKAGE_UPDATE = "0702";//场景包管理-修改
    public static final String SYS_LOG_PACKAGE_DELETE = "0703";//场景包管理-删除
    public static final String SYS_LOG_PACKAGE_DISTRIBUTION = "0704";//场景包管理-分配场景包
    public static final String SYS_LOG_PACKAGE_DISTRIBUTION_DELETE = "0705";//场景包管理-分配场景包移除人员
    public static final String SYS_LOG_PACKAGE_GRANT = "08";//场景包分配
    public static final String SYS_LOG_PACKAGE_GRANT_INSERT = "0801";//场景包分配-分配


}
