package api.common.pojo.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class KafkaParameter {
    @NotBlank(message ="主题不能为空！")
    private String topic;
    @NotBlank(message ="消息数据不能为空！")
    private String data;
}
