package com.css.simulation.resource.scheduler.mapper;


import com.css.simulation.resource.scheduler.pojo.po.UserPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

@Mapper
public interface UserMapper {


    @Results(id = "user", value = {
            @Result(column = "id", property = "id", jdbcType = JdbcType.VARCHAR),
            @Result(column = "role_code", property = "roleCode", jdbcType = JdbcType.VARCHAR),
            @Result(column = "use_type", property = "useType", jdbcType = JdbcType.VARCHAR),
            @Result(column = "create_user_id", property = "createUserId", jdbcType = JdbcType.VARCHAR)
    })
    @Select("select id,\n" +
            "       role_code,\n" +
            "       use_type,\n" +
            "       create_user_id\n" +
            "from system_user\n" +
            "where id = #{userId}")
    UserPO selectById(@Param("userId")String userId);

}
