package com.css.simulation.resource.scheduler.pojo.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CameraPO {

    /**
     * 					"sensor_name": "following_view_camera",
     * 					"sensor_fovH": 45,
     * 					"sensor_fovV": 27,
     * 					"sensor_near": 1,
     * 					"sensor_far": 1500,
     * 					"sensor_resolution": "800x600",
     * 					"sensor_frameRate": "60",
     * 					"sensor_x": -15,
     * 					"sensor_y": 0,
     * 					"sensor_z": 5,
     * 					"sensor_h": 0,
     * 					"sensor_p": 10,
     * 					"sensor_r": 0
     */
    private String sensor_name;
    private BigDecimal sensor_fovH;
    private BigDecimal sensor_fovV;
    private BigDecimal sensor_near;
    private BigDecimal sensor_far;
    private String sensor_resolution;
    private BigDecimal sensor_frameRate;
    private BigDecimal sensor_x;
    private BigDecimal sensor_y;
    private BigDecimal sensor_z;
    private BigDecimal sensor_h;
    private BigDecimal sensor_p;
    private BigDecimal sensor_r;

}
