package com.css.simulation.resource.scheduler.pojo.to;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DynamicsTO {

    /**
     * 		"dynamics": {
     * 			"dynamics_maxspeed": 67,
     * 			"dynamics_enginepower": 150000,
     * 			"dynamics_maxdecel": 9.5,
     * 			"dynamics_maxsteering": 0.48,
     * 			"dynamics_mass": 1700,
     * 			"dynamics_frontsurfaceeffective": 2.2,
     * 			"dynamics_airdragcoefficient": 0.31,
     * 			"dynamics_rollingresistance": 0,
     * 			"dynamics_wheeldiameter": 0.684,
     * 			"dynamics_wheeldrive": "wheel_drive_front",
     * 			"dynamics_overallefficiency": 0.75,
     * 			"dynamics_distfront": 3.838,
     * 			"dynamics_distrear": 1.086,
     * 			"dynamics_distleft": 0.94,
     * 			"dynamics_distright": 0.94,
     * 			"dynamics_distheight": 1.444,
     * 			"dynamics_wheelbase": 2.91
     *                },
     */
    private BigDecimal dynamics_maxspeed;
    private BigDecimal dynamics_enginepower;
    private BigDecimal dynamics_maxdecel;
    private BigDecimal dynamics_maxsteering;
    private BigDecimal dynamics_mass;
    private BigDecimal dynamics_frontsurfaceeffective;
    private BigDecimal dynamics_airdragcoefficient;
    private BigDecimal dynamics_rollingresistance;
    private BigDecimal dynamics_wheeldiameter;
    private String dynamics_wheeldrive;
    private BigDecimal dynamics_overallefficiency;
    private BigDecimal dynamics_distfront;
    private BigDecimal dynamics_distrear;
    private BigDecimal dynamics_distleft;
    private BigDecimal dynamics_distright;
    private BigDecimal dynamics_distheight;
    private BigDecimal dynamics_wheelbase;
}
