package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneGeneralTemplateParam;
import api.common.pojo.po.scene.SceneGeneralTemplatePO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneGeneralTemplateMapper {

    void saveSceneGeneralTemplateAll(List<SceneGeneralTemplatePO> list);
    List<SceneGeneralTemplatePO> querySceneGeneralTemplateList(SceneGeneralTemplateParam params);
    SceneGeneralTemplatePO querySceneGeneralTemplateById(String id);
    void deleteSceneGeneralTemplateAll(SceneGeneralTemplatePO po);
    void deleteSceneGeneralTemplateById(SceneGeneralTemplatePO po);
    List<String> queryType( );

    List<SceneGeneralTemplatePO> querySceneGeneralTemplateListByQx(SceneGeneralTemplateParam params);

}
